Page MenuHomePhabricator

Lift IP cap for account creation for Kickstarter Edit-a-thon on March 3rd
Closed, ResolvedPublic

Description

The Black Lunch Table is helping Kickstarter host their Art+Feminism edit-a-thon. We would like to request a temporary lift of the IP cap for that location on Sunday March 3 11:00am-5:00 ET. We are hoping for roughly 70 people for this event.

Please do so for this IP: 198.179.69.250

RSVP is via Eventbrite. Our normal events can be found on the Black Lunch Table page here.

We'd like the cap to be lifted on English Wikipedia.
Thank you!

Note: I create Phabricator tasks super rarely for a Wikimedia user group, so please feel free to let me know if you need more/less/other info.

Event Timeline

Heathart created this task.Feb 11 2019, 9:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2019, 9:00 PM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptFeb 11 2019, 9:03 PM

Change 489819 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Add new throttle rule for T215839

https://gerrit.wikimedia.org/r/489819

Framawiki moved this task from Inbox to To deploy on the User-Zoranzoki21 board.

Change 489819 merged by jenkins-bot:
[operations/mediawiki-config@master] Add new throttle rule for Kickstarter Edit-a-thon

https://gerrit.wikimedia.org/r/489819

Mentioned in SAL (#wikimedia-operations) [2019-02-19T12:56:39Z] <zfilipin@deploy1001> Synchronized wmf-config/throttle.php: SWAT: [[gerrit:489819|Add new throttle rule for Kickstarter Edit-a-thon (T215839)]] (duration: 00m 43s)

Urbanecm closed this task as Resolved.Feb 19 2019, 1:35 PM

Thank you kindly

jeremyb added a subscriber: jeremyb.Mar 3 2019, 9:46 PM

@Zoranzoki21 for future reference ET in the US winter is -0500.

$ zdump -v America/New_York | fgrep -e ':59 2019 EST' -e ':00 2018 EST'
America/New_York  Sun Nov  4 06:00:00 2018 UT = Sun Nov  4 01:00:00 2018 EST isdst=0 gmtoff=-18000
America/New_York  Sun Mar 10 06:59:59 2019 UT = Sun Mar 10 01:59:59 2019 EST isdst=0 gmtoff=-18000

but also I like to give a little buffer on each end before/after event. (this is for the person making the request as well)

Krenair added a subscriber: Krenair.EditedMar 3 2019, 10:06 PM

It seems unwise to use shortened and potentially ambiguous timezone names like this. A UTC offset would be ideal, EST would be okay, but expecting people to correctly handle foreign DST (i.e. interpret ET to be EST or EDT correctly depending on context) sounds risky, especially around March and October/November.